Debian Bug report logs - #721790
pluxml: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: pluxml; Maintainer for pluxml is Tanguy Ortolo <tanguy+debian@ortolo.eu>; Source for pluxml is src:pluxml.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Wed, 4 Sep 2013 05:24:06 UTC

Severity: normal

Fixed in version pluxml/5.2-4

Done: Tanguy Ortolo <tanguy+debian@ortolo.eu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Wed, 04 Sep 2013 05:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 04 Sep 2013 05:24:11 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pluxml: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Wed, 04 Sep 2013 07:21:25 +0200
Package: pluxml
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721790; Package pluxml. (Wed, 04 Sep 2013 09:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. (Wed, 04 Sep 2013 09:00:07 GMT) Full text and rfc822 format available.

Message #10 received at 721790@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Christian Perrier <bubulle@debian.org>, 721790@bugs.debian.org
Subject: Re: Bug#721790: pluxml: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Wed, 4 Sep 2013 10:49:21 +0200
[Message part 1 (text/plain, inline)]
Christian Perrier, 2013-09-04 07:21+0200:
>I would like to suggest you to consider calling for debconf templates
>review AND translation updates when you introduce new debconf
>templates or modify the existing templates in a package or, if you
>prefer, to send a call for translations after uploading the first
>version that introduces new templates or templates changes.

Right, I planned to do it right after the approval of my package by the 
FTP masters but you were quicker, which is a good thing because I think 
I would have forgotten anyway…

>The debian-l10n-english team will now start a review, on our own
>initiative. It will be conducted through this bug report.

Okay. I have some notes for that:
1. I based my templates on those of the dokuwiki package, which may be
   of help for translation (not really for review, though);
2. the template pluxml/blog/lang is a bit complex:
   * the English version is __Choices, but I provided a
     pseudo-translation Choices-C so I can get standard values;
   * the Defaults is made “translatable”, not to translate it really but 
     to change the default value to the user's language if possible;
3. the template pluxml/blog/description's Default is made translatable
   because, well, it is a website description that has every reason to
   be I think;
4. I think I should make pluxml/blog/name's Default translatable too.


-- 
 ,--.
: /` )   Tanguy Ortolo      <xmpp:tanguy@ortolo.eu>
| `-'    Debian Developer   <irc://irc.oftc.net/Tanguy>
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Wed, 04 Sep 2013 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Wed, 04 Sep 2013 16:54:04 GMT) Full text and rfc822 format available.

Message #15 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Cc: 721790@bugs.debian.org
Subject: Re: Bug#721790: pluxml: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Wed, 4 Sep 2013 18:51:28 +0200
[Message part 1 (text/plain, inline)]
Quoting Tanguy Ortolo (tanguy+debian@ortolo.eu):

> 2. the template pluxml/blog/lang is a bit complex:
>    * the English version is __Choices, but I provided a
>      pseudo-translation Choices-C so I can get standard values;
>    * the Defaults is made “translatable”, not to translate it really
> but      to change the default value to the user's language if
> possible;

Well, as I created one of the few occurrences of this (in geneweb), I
think I get the point, yes..;-)


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Sun, 08 Sep 2013 14:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Sun, 08 Sep 2013 14:27:08 GMT) Full text and rfc822 format available.

Message #20 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721790@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [ITR] templates://pluxml/{templates}
Date: Sun, 8 Sep 2013 16:23:10 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

The Debian internationalisation team and the Debian English
localisation team will soon begin the review of the debconf
templates used in pluxml.

This review takes place for all packages that use debconf to interact with
users and its aims are:
- to improve the use of English in all debconf templates;
- to make the wording of debconf templates more consistent;
- to encourage more translations of templates.

Even if your first language is English, this process is likely to help
track down typos or errors, and improve consistency between the
debconf templates of your package and that of other packages in the
distribution.

The process involves both debian-l10n-english contributors and
Debian translators.

The details of the process are given in
http://wiki.debian.org/I18n/SmithDebconfReviewProcess.

I will act as the coordinator of this activity for pluxml.

The first step of the process is to review the debconf source
template file(s) of pluxml. This review will start on Wednesday, September 11, 2013, or
as soon as you acknowledge this mail with an agreement for us to
carry out this process.

All parts of the process will be carried out in close collaboration
with you, and, unless you explicitely ask for it, no upload nor NMU
will happen for pluxml.

If you approve this process, please let us know by replying to this
mail. If some work in progress on your side would conflict with such a
rewrite (such as adding or removing debconf templates), please say so,
and we will defer the review to later in the development cycle.

Thank you for your attention.

-- 


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721790; Package pluxml. (Sun, 08 Sep 2013 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. (Sun, 08 Sep 2013 17:03:04 GMT) Full text and rfc822 format available.

Message #25 received at 721790@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Christian PERRIER <bubulle@debian.org>, 721790@bugs.debian.org
Subject: Re: Bug#721790: [ITR] templates://pluxml/{templates}
Date: Sun, 8 Sep 2013 18:59:12 +0200
[Message part 1 (text/plain, inline)]
Christian PERRIER, 2013-09-08 16:23+0200:
>The first step of the process is to review the debconf source
>template file(s) of pluxml. This review will start on Wednesday, September 11, 2013, or
>as soon as you acknowledge this mail with an agreement for us to
>carry out this process.
>
>If you approve this process, please let us know by replying to this
>mail.

Sure, please go ahead, and thanks for the involvement!

-- 
 ,--.
: /` )   Tanguy Ortolo      <xmpp:tanguy@ortolo.eu>
| `-'    Debian Developer   <irc://irc.oftc.net/Tanguy>
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Sat, 14 Sep 2013 11:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Sat, 14 Sep 2013 11:51:15 GMT) Full text and rfc822 format available.

Message #30 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721790@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://pluxml/{templates}
Date: Sat, 14 Sep 2013 13:46:34 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the pluxml source package.

This review will last from Saturday, September 14, 2013 to Tuesday, September 24, 2013.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

Rationale:
--- pluxml.old/debian/templates	2013-09-04 07:20:40.799525585 +0200
+++ pluxml/debian/templates	2013-09-14 13:39:34.375384769 +0200
@@ -6,10 +6,10 @@
  PluXml can run on any web server supporting PHP, but only listed web servers
  can be configured automatically by this package.
  .
- Please note that you will have to make sure a PHP interpreter is enabled for
- your webserver.
- .
  Please select the web servers that should be configured for PluXml.
+ .
+ Please note that you will have to make sure a PHP interpreter is enabled for
+ the webserver.

I think it is more logical to revert these paragraphs.

 
 Template: pluxml/system/reload-webserver
 Type: boolean
@@ -25,9 +25,9 @@
 Type: boolean
 Default: false
 _Description: Purge blog data on package removal?
- PluXml will store all your blog data in /var/lib/pluxml.
+ PluXml will store all blog data in /var/lib/pluxml.
  .
- Accepting this option will remove all the blog data when this package is
+ Accepting this option will remove all blog data when this package is
  purged, which will leave you with a tidy system but may cause data loss if you
  purge an operational blog.

Unpersonnalize: this is not necessarily *my* blog

drop a French "the"..:-)

 
@@ -45,16 +45,14 @@
 
 Template: pluxml/blog/lang
 Type: select
-__Choices: German (de), English (en), Spanish (es), French (fr), Italian (it), Dutch (nl), Polish (pl), Portuguese (pt), Romanian (ro), Russian (ru)
+__Choices: German, English, Spanish, French, Italian, Dutch, Polish, Portuguese, Romanian, Russian
 Choices-C: de, en, es, fr, it, nl, pl, pt, ro, ru
-# You must NOT translate this string, but you can change its value. The comment
-# between brackets is used to distinguish this msgid from the one in the
-# Choices list; you do not have to worry about them, but you simply have to
-# choose a msgstr among the language codes listed in the parentheses of the
-# English Choices above, e.g. msgstr "nl" (NOT msgstr "Dutch (nl)").
-_Default: en[ default language]
+# You must NOT translate this string, but you can change its value.
+# You should put your language (if it is among the possible choices)
+# so that it becomes the default for users of that language
+_Default: English

The default should match "Choices", not Choices-C

As a consequence, I think it's not worth keeping the ISO code
mentioned in each choice

 _Description: Blog default language:
- Please choose the default language of your blog, which will be used for the
+ Please choose the default language of this blog, which will be used for the
  public pages.
  .
  Registered blog contributors will be able to choose their language for the

Unpersonnalize again

@@ -64,7 +62,7 @@
 Type: string
 Default: PluXml
 _Description: Blog title:
- Please choose a title for your blog, which will be displayed in the top of each
+ Please choose a title for this blog. It will be displayed on top of each
  page and in the browser window title.

Ditto. Also split in sentences as "which" in the original string
mostly relates to "your blog" than "title".
 
 Template: pluxml/blog/description
@@ -75,7 +73,7 @@
 # (replace $LANG by your language code), under the name "L_SITE_DESCRIPTION".
 _Default: Blog or CMS, XML powered!
 _Description: Blog description or subtitle:
- Please choose a short description for your blog, which will be displayed as a
+ Please choose a short description for this blog. It will be displayed as a
  subtitle in the top of each page and in the browser window title.


Same rationale
 
 Template: pluxml/blog/name
@@ -92,8 +90,8 @@
 Default: admin
 _Description: Administrator user name:
  Please enter a name for the administrator account, which will be used to manage
- PluXml's configuration, users and content. The username should be composed of
- lowercase ASCII letters only.
+ PluXml's configuration, users and content. The user name should only
+ contain lowercase ASCII letters.
 
Make the second sentence clearer?

s/username/user name

 Template: pluxml/blog/password
 Type: password
@@ -103,10 +101,11 @@
 Template: pluxml/blog/confirm
 Type: password
 _Description: Confirm password:
- Please enter the same administrator password again to verify you have typed it
- correctly.
+ Please enter the same password again to verify that you have
+ typed it correctly.

Use the "standard" formula from Debian Installler

 
 Template: pluxml/blog/failpass
 Type: error
-_Description: Password mismatch
- The two passwords you entered are not identical. Please try again.
+_Description: Password input error
+ The two passwords you entered were not the same. Please try again.
+ 

Same template than D-I, here again

--- pluxml.old/debian/control	2013-09-04 07:20:40.799525585 +0200
+++ pluxml/debian/control	2013-09-14 13:39:56.960010019 +0200
@@ -13,7 +13,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ucf, php5
 Recommends: php5-gd
 Suggests: mail-transport-agent
-Description: Light blog engine using XML files
+Description: light blog engine using XML files
  PluXml is a light and simple blog and CMS engine that uses simple XML files
  to store its data and requires no database. It has all the usual features
  (static pages, comments, categories, tags, medias, RSS feed...) and supports

drop leading uppercase (see Developers Reference for such rationale)

-- 


[templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Sat, 14 Sep 2013 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Sat, 14 Sep 2013 13:18:04 GMT) Full text and rfc822 format available.

Message #35 received at 721790@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 721790@bugs.debian.org
Subject: Re: [RFR] templates://pluxml/{templates}
Date: Sat, 14 Sep 2013 14:15:35 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
>   Please select the web servers that should be configured for PluXml.
> + .
> + Please note that you will have to make sure a PHP interpreter is enabled for
> + the webserver.

Aoid politeness fatigue by taking out the second "Please".  After all,
it's giving a warning, not begging a favour.

Oh, and for consistency: "web server" on the last line.
  
>  _Description: Purge blog data on package removal?
> - PluXml will store all your blog data in /var/lib/pluxml.
> + PluXml will store all blog data in /var/lib/pluxml.
>   .
> - Accepting this option will remove all the blog data when this package is
> + Accepting this option will remove all blog data when this package is
>   purged, which will leave you with a tidy system but may cause data loss if you
>   purge an operational blog.

I spent a while trying to decide whether it was "its blog data" or
"your blog data", but you've got the right answer there.
  
>  Template: pluxml/blog/lang
>  Type: select
> +__Choices: German, English, Spanish, French, Italian, Dutch, Polish, Portuguese, Romanian, Russian
>  Choices-C: de, en, es, fr, it, nl, pl, pt, ro, ru
> +# You must NOT translate this string, but you can change its value.
> +# You should put your language (if it is among the possible choices)
> +# so that it becomes the default for users of that language
> +_Default: English

It's a pity they can only be ordered alphabetically by ISO code.

>  Template: pluxml/blog/title
> +Please choose a title for this blog. It will be displayed on top of each

s/on top/at the top/ to stop it sounding as if it obscures what's
underneath.  Likewise:

>  Template: pluxml/blog/description:
> +Please choose a short description for this blog. It will be displayed as a
>  subtitle in the top of each page and in the browser window title.
            at

>  _Description: Administrator user name:
>   Please enter a name for the administrator account, which will be used to manage
> + PluXml's configuration, users and content. The user name should only
> + contain lowercase ASCII letters.
>  
> Make the second sentence clearer?
> 
> s/username/user name

s/user name/username/ back again.  User names are the personal names
of users; usernames are the strings used to identify accounts.

Also, add a nitpicky Harvard comma after "users".
 
> -Description: Light blog engine using XML files
> +Description: light blog engine using XML files
>   PluXml is a light and simple blog and CMS engine that uses simple XML files
>   to store its data and requires no database. It has all the usual features
>   (static pages, comments, categories, tags, medias, RSS feed...) and supports
>   multiple users, customizable themes and plugins.

The first line repeats "simple".  "Using/uses XML files" gets a bit
repetitive, too.  The upstream "powered by XML!" is straying the other
way into advertspeak, but maybe without the exclamation mark it could
go in the synopsis...

"Medias" is a non-word in English.  Given that PluXml doesn't contain
any media in either the newspapers/radio/TV sense or the floppies/DVDs
sense I would suggest "media management".  Oh, and room for another
Harvard comma after "themes".

Given that there are two quite different kinds of software known by
the same TLA, should we include an expansion of Content Management
System somewhere?  But include the short form in the synopsis.

   Description: light blog/CMS engine powered by XML
    PluXml is a lightweight blogging and Content Management System that uses
    simple XML files to store its data and requires no database. It has all the
    usual features (static pages, comments, categories, tags, media management,
    RSS feed, etc.) and supports multiple users, customizable themes, and
    plugins.
       
ObWhyTheName: I happen to know from blogwatching that it's Plu- for
plume, not plus or pluie or pluche...
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[templates (text/plain, attachment)]
[control (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Sat, 14 Sep 2013 13:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Sat, 14 Sep 2013 13:27:09 GMT) Full text and rfc822 format available.

Message #40 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: debian-l10n-english@lists.debian.org, 721790@bugs.debian.org
Subject: Re: Bug#721790: [RFR] templates://pluxml/{templates}
Date: Sat, 14 Sep 2013 15:22:39 +0200
[Message part 1 (text/plain, inline)]
Quoting Justin B Rye (justin.byam.rye@gmail.com):

> >  Template: pluxml/blog/lang
> >  Type: select
> > +__Choices: German, English, Spanish, French, Italian, Dutch, Polish, Portuguese, Romanian, Russian
> >  Choices-C: de, en, es, fr, it, nl, pl, pt, ro, ru
> > +# You must NOT translate this string, but you can change its value.
> > +# You should put your language (if it is among the possible choices)
> > +# so that it becomes the default for users of that language
> > +_Default: English
> 
> It's a pity they can only be ordered alphabetically by ISO code.

I'm not sure. I vaguely remember an old bug report against debconf to
request alphacetic sorting of localized entries. Not sure if it has
been fixed...or maybe only fixed in cdebconf.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Thu, 26 Sep 2013 05:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Thu, 26 Sep 2013 05:30:04 GMT) Full text and rfc822 format available.

Message #45 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721790@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://pluxml/{templates}
Date: Thu, 26 Sep 2013 07:15:30 +0200
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for pluxml.

The reviewed templates will be sent on Saturday, September 28, 2013 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Thu, 26 Sep 2013 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Thu, 26 Sep 2013 08:51:04 GMT) Full text and rfc822 format available.

Message #50 received at 721790@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 721790@bugs.debian.org
Subject: Re: [LCFC] templates://pluxml/{templates}
Date: Thu, 26 Sep 2013 09:49:53 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
> This is the last call for comments for the review of debconf
> templates for pluxml.

Sorry, I've just spotted a mis-edit in my changes to the package
description:

> Package: pluxml
[...]
> Description: light blog/CMS engine powered by XML
>  PluXml is a lightweight blogging and Content Management System that uses
>  simple XML files to store its data and requires no database. It has all the
>  usual features (static pages, comments, categories, tags, media managements,
                                                                             ^
That "s" didn't belong on the end of "media", and it doesn't belong on
the end of "management" either.

Corrected control file and overall patch attached.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[control (text/plain, attachment)]
[patch.jbr2 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Sun, 29 Sep 2013 06:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Sun, 29 Sep 2013 06:51:07 GMT) Full text and rfc822 format available.

Message #55 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721790@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#721790] templates://pluxml/{templates} : Final update for English review
Date: Sun, 29 Sep 2013 08:48:05 +0200
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Sunday, September 08, 2013, I notified you of the beginning of a review process
concerning debconf templates for pluxml.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading pluxml with these changes
right now.

The second phase of this process will begin on Wednesday, October 02, 2013, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Wednesday, October 23, 2013. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Thursday, October 24, 2013, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Tue, 08 Oct 2013 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Tue, 08 Oct 2013 08:57:04 GMT) Full text and rfc822 format available.

Message #60 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721790@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: Re: Bug#721790: [BTS#721790] templates://pluxml/{templates} : Final update for English review
Date: Tue, 8 Oct 2013 07:23:14 +0200
[Message part 1 (text/plain, inline)]
Quoting Christian PERRIER (bubulle@debian.org):
> Dear Debian maintainer,
> 
> On Sunday, September 08, 2013, I notified you of the beginning of a review process
> concerning debconf templates for pluxml.
> 
> The debian-l10n-english contributors have now reviewed these templates,
> and the final proposed changes are attached to this update to the
> original bug report.


The proposed templates file had a problem. The string "English" was
appearing in two places (__Choices and _Default). In the first one, it
is meant to be translated to how "English" is called in different
languages, while in the latter, translators can pu ttheir own
language, if it is listed among choices.

gettext tools merge this into a single translatable string, which
defeats that purpose. The trick to avoid this is to put something into
brackets in order to differentiate strings...and then explain that to
translators.

So, please find attached a fixed version of the templates file with
that trick in place.


[templates (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#721790; Package pluxml. (Wed, 30 Oct 2013 17:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Wed, 30 Oct 2013 17:03:09 GMT) Full text and rfc822 format available.

Message #65 received at 721790@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 721790@bugs.debian.org
Subject: pluxml: General update after the debconf review process
Date: Wed, 30 Oct 2013 17:59:10 +0100
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Sunday, September 08, 2013, I sent you a notification about the beginning of a review
action on debconf templates for pluxml.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Sunday, September 08, 2013. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#721790; Package pluxml. (Sun, 24 Nov 2013 19:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. (Sun, 24 Nov 2013 19:03:09 GMT) Full text and rfc822 format available.

Message #70 received at 721790@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Christian PERRIER <bubulle@debian.org>, 721790@bugs.debian.org
Subject: Re: Bug#721790: pluxml: General update after the debconf review process
Date: Sun, 24 Nov 2013 20:01:58 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER, 2013-10-30 17:59+0100:
>Please consider using it EVEN if you committed files to your
>development tree as long as they were reported.
>
>The attached tarball contains:
>
>- debian/changelog with the list of changes

Nothing to add to my current changelog. :-)

>- debian/control with rewrites of packages' descriptions

I take that.

>- debian/<templates> with all the rewritten templates file(s)
>- debian/po/*.po with all PO files (existing ones and new ones)

I do not take that, since I already have the corrected templates and 
their translations, plus a correction of my own: in the language 
selection template, the value has to be a two-letter language code, not 
an English or native language name.

So, taking these templates and correction would add nothing but a bug I 
already corrected: I will not take that.

For future reference: when a select-type template has __Choices and 
Choices-C, the Default (or _Default and translated values) must be taken 
among the Choices-C, not among the __Choices or their translations. 
Careful with that, since it may have a high confusion potential for both 
translators and the package maintainer.

>As said, please use *at least* the PO files as provided here,
>preferrably over those sent by translators in their bug reports. All
>of them have been checked and reformatted. In some cases, formatting
>errors have been corrected.

No, fortunately, nothing was added compared to what I have.

-- 
 ,--.
: /` )   Tanguy Ortolo      <xmpp:tanguy@ortolo.eu>
| `-'    Debian Developer   <irc://irc.oftc.net/Tanguy>
 \_
[signature.asc (application/pgp-signature, inline)]

Reply sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
You have taken responsibility. (Mon, 25 Nov 2013 00:06:10 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 25 Nov 2013 00:06:10 GMT) Full text and rfc822 format available.

Message #75 received at 721790-close@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 721790-close@bugs.debian.org
Subject: Bug#721790: fixed in pluxml 5.2-4
Date: Mon, 25 Nov 2013 00:03:52 +0000
Source: pluxml
Source-Version: 5.2-4

We believe that the bug you reported is fixed in the latest version of
pluxml, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721790@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tanguy Ortolo <tanguy+debian@ortolo.eu> (supplier of updated pluxml package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 24 Nov 2013 19:53:00 +0100
Source: pluxml
Binary: pluxml
Architecture: source all
Version: 5.2-4
Distribution: unstable
Urgency: low
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Changed-By: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Description: 
 pluxml     - light blog/CMS engine powered by XML
Closes: 721790 728075
Changes: 
 pluxml (5.2-4) unstable; urgency=low
 .
   * debian/control: apply corrections from the l10n-english team.
     (Closes: #721790)
   * debian/po/sv.po: Swedish template translation, thanks to Martin Bagge.
     (Closes: #728075)
Checksums-Sha1: 
 59e34d73ada17ddfc57f5e2a3a2f5b42cbad2c13 1795 pluxml_5.2-4.dsc
 85e5c19d3717a82a6e65bb8bb25106696eda1ed2 33721 pluxml_5.2-4.debian.tar.gz
 bc52981021951a56441d2e0245a4021114c46033 263790 pluxml_5.2-4_all.deb
Checksums-Sha256: 
 05d0c34802d208c9ceb432aa8d03e55510221d4d493518375b53876f1570e6a6 1795 pluxml_5.2-4.dsc
 a09ae7350d63b885706167a9ba06ed953fe21e52dfbe5cd0a4af785bd7c86aa2 33721 pluxml_5.2-4.debian.tar.gz
 b4fb12f73ca6ac0b71fac9b24dcedbda6e96e29a4df03fb6595ef7a0f4e55216 263790 pluxml_5.2-4_all.deb
Files: 
 fbb973b7186957577f95a39322b68443 1795 web extra pluxml_5.2-4.dsc
 a85dfc8ee326e527bc5ed48a5a6684c4 33721 web extra pluxml_5.2-4.debian.tar.gz
 8687bdcf817f3aa0564ed901087913e4 263790 web extra pluxml_5.2-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCgAGBQJSkpGWAAoJEOryzVHFAGgZf6UQAKv7BpodWmjMophk8rEXjEXr
ZEYKGIVTSarP7rpMTy9dCtLlOdMFZYSxL/jI4mGEyE46j37OkHZka4/0KTw4p0yf
FH5fS7HoTgvYH9h8Gxtc4B4tZ/+uJe+RxqvhTSyrh/ou+MN2foLYfJSKCh87G8Y7
P8+Lg05ilaSxza/PcaGQ01OvX+9U9wYBZPyzfXWpOVL57RQkvXFL5uylppgSbTZh
V/7oi7HUKUYCblQ2sifhD7QFCtI7C8PFi2z8nfNalJWP8bLPRVDM5wYotP9LXIh+
GioPaKFr3C7zLlvewTZmIX8UugqMfkNgzPsdoZHV2iLBVp29WnuHNvBBhgB/7Ixu
Ktvh1RZnx0ncRDwUfiXlrfcgTgzEfRJYovyJU0rQoCgJhlvGld88ZAIrGHIAlXZz
Eh/7W/bLOlHT9qC8wAx2D/F1zmC2y56BDJbvOEjAHn2Wdiq6/1veyHgBXzCEqkGT
Ao/Z0YCmzqCM0WFaQovHDywJo/xWQoeZ93GWgTx/3A+HDMO3aYSwbqj8MDTZDmZN
Z1NF+8QQCPS+V0AbkGxRZht0RU9vCV6nccYJgcQ6zwiWpbWzFsot2HNdSiRRSB/K
zBs+4t7BSGkZsovjldPcRWeEkhpqSWrY0+flb4XvkWE8nEVqx8fUAQ7BbtPIRw93
H/Yo4JGas6GCQetuG6A6
=H4mF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Dec 2013 07:52:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:30:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.